### Method

# Gimp Item delete

since: 2.8

#### Declaration [src]

    gboolean
    gimp_item_delete (
      GimpItem* item
    )

#### Description [src]

Delete a item.

This procedure deletes the specified item. This must not be done if the image containing this item was already deleted or if the item was already removed from the image. The only case in which this procedure is useful is if you want to get rid of a item which has not yet been added to an image.

Available since: 2.8

#### Return value

Type: `gboolean`

TRUE on success.